import File from './file';
import Position from './position';
export default class FileSet {
    Base: number;
    Files: File[];
    Last: File | null;
    constructor(base: number);
    GetBase(): number;
    AddFile(filename: string, base: number, size: number): File;
    Iterate(f: Function): boolean;
    File(p: Position): File | null;
    PositionFor(p: Position, adjusted: boolean): Position;
    Position(p: Position): Position;
    file(p: Position): File | null;
}
export declare function NewFileSet(): FileSet;
