import Token from '../token/token';
export default class Lexer {
    input: string;
    line: number;
    column: number;
    position: number;
    readPosition: number;
    ch: string | number | null;
    constructor(input: string);
    NextToken(): Token;
    skipWhitespace(): void;
    readChar(): void;
    backupChar(pos: number): void;
    readString(type?: string): string;
    readComment(): string;
    peekChar(): string | 0;
    peekChars(count?: number): string | 0;
    readIdentifier(): string;
    readNumber(): string;
}
